Bug 174796 - After installing fontconfig-2.3.92.cvs20051129-1, Korean name font rendering is strange on gnome-font-properties
Summary: After installing fontconfig-2.3.92.cvs20051129-1, Korean name font rendering ...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Carl Worth
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-02 11:12 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-08 07:19:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
localized family font name in gnome-font-properties (19.83 KB, image/png)
2006-01-25 11:12 UTC, sangu
no flags Details

Description sangu 2005-12-02 11:12:15 UTC
Description of problem:
in ko_KR.UTF-8

Korean name(localized family name) fonts's rendering has always the same figure
and style on gnome-font-properties. AntiAlias is false in ~/.fonts.conf, Korean
fonts always has AntiAlias rendering.

But in en_US.UTF-8. This problem doesn't happen.


Version-Release number of selected component (if applicable):
2.3.92.cvs20051129-1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
See Also : http://bugzilla.gnome.org/show_bug.cgi?id=95731

pango-1.11.0-1

Comment 1 sangu 2006-01-22 06:31:17 UTC
in LANG=ko_KR.UTF-8 or LANG=ja_JP.UTF-8
1. Select localized family/style names font on gnome-font-properties.
2. Exit gnome-font-proerties.
3. Start gnome-font-properties.
4. See different Font.

pango-1.11.2-1 fontconfig-2.3.92.cvs20051129-3 control-center-2.13.5.1-1

Comment 2 sangu 2006-01-25 11:12:34 UTC
Created attachment 123659 [details]
localized family font name in gnome-font-properties

comment #1 is fixed in fontconfig-2.3.93.cvs20060124-1.

but a font has two Regular styles, and the font has bold and localized family
name.


http://kldp.net/frs/download.php/1425/un-fonts-core-1.0.tar.gz
http://kldp.net/frs/download.php/1435/un-fonts-extra-1.0.1.tar.gz

$ fc-list :lang=ko | grep ì
ì ëì,UnDotum:style=Regular,Bold
ì ëì,UnDotum:style=Regular
ì ê¶ì,UnGungseo:style=Regular
ì íí림,UnPenheulim:style=Regular
ì ë´,UnBom:style=Regular,Bold
ì ë°í,UnBatang:style=Regular,Bold
ì ëë루,UnDinaru:style=Regular,Light
ì ì모 ìë¼,UnJamoSora:style=Regular
ì í기,UnPilgi:style=Regular
ì ëë루,UnDinaru:style=Regular,Bold
ì ì모 ëì,UnJamoDotum:style=Regular
ì ëë루,UnDinaru:style=Regular
ì ì모 ë¸ë²¨,UnJamoNovel:style=Regular
ì í기,UnPilgi:style=Regular,Bold
ì í,UnPen:style=Regular
ì ìê¸,UnYetgul:style=Regular,Bold
ì ì모 ë°í,UnJamoBatang:style=Regular
ì ì ë¬¸,UnShinmun:style=Regular
ì êµµì ê·¸ëí½,UnGraphic:style=Regular,Bold
ì íì,UnTaza:style=Regular
ì ë°í,UnBatang:style=Regular
ì ê·¸ëí½,UnGraphic:style=Regular

Comment 3 Matthias Clasen 2006-02-08 07:19:34 UTC
Please don't pile new issues on old bugs. If the fontconfig issue is fixed, lets
close this bug and open a new one for the gtk font dialog issue.


Note You need to log in before you can comment on or make changes to this bug.